org.licas.server

## Class BlockingServerHandler

- java.lang.Object
- - org.licas.server.ServerHandler
  - - org.licas.server.BlockingServerHandler

-     public class BlockingServerHandler
      extends ServerHandler

  This class handles the HTTP blocking (synchronous) server requests, by passing it to the appropriate service for execution. This class receives the http blocking request and tries to process it. One exception is ping request, as determined by the ConnectionManager.pingURL method. It is not processed as a message but returned immediately.
  Author:
    Kieran Greer

- - ### Field Summary

    - ### Fields inherited from class org.licas.server.ServerHandler

      `adminKey, localURI, serverPassword`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockingServerHandler(java.lang.String theServerPassword, java.lang.String theAdminKey)` Create a new instance of BlockingServerHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpEntity` | `handle(BusEntity roEntity)` Handle the HTTP request.
    `HttpEntity` | `handle(HttpEntity request)` Handle the HTTP request.

    - ### Methods inherited from class org.licas.server.ServerHandler

      `isBlocking`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockingServerHandler

          public BlockingServerHandler(java.lang.String theServerPassword,
                                       java.lang.String theAdminKey)
                                throws java.lang.Exception

      Create a new instance of BlockingServerHandler.
      Parameters:
        `theServerPassword` - the server password.
        `theAdminKey` - the server admin key.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### handle

          public HttpEntity handle(HttpEntity request)
                            throws java.lang.Exception

      Handle the HTTP request.
      Specified by:
        `handle` in class `ServerHandler`
      Parameters:
        `request` - the HTTP request.
      Returns:
        the method execution response.
      Throws:
        `java.lang.Exception` - any error.

    - #### handle

          public HttpEntity handle(BusEntity roEntity)
                            throws java.lang.Exception

      Handle the HTTP request.
      Parameters:
        `roEntity` - the bus message.
      Returns:
        the method execution response.
      Throws:
        `java.lang.Exception` - any error.